SapccApiDoGiveConsentRequest
Request parameters for doGiveConsent operation in SapccApi. SapccApiDoGiveConsentRequest
interface SapccApiDoGiveConsentRequest {
readonly baseSiteId: string;
readonly consentTemplateId: string;
readonly consentTemplateVersion: number;
readonly userId: string;
}Properties
| Name | Required | Type | Description |
|---|---|---|---|
baseSiteId | Required | string | Base site identifier {string} SapccApiDoGiveConsent |
consentTemplateId | Required | string | Consent template identifier. {string} SapccApiDoGiveConsent |
consentTemplateVersion | Required | number | Consent template version. {number} SapccApiDoGiveConsent |
userId | Required | string | User identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiDoGiveConsent |